Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(26)

Issue 2894643002: [Android] Presubmit check for banned Notification construction (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 1 week ago by awdf
Modified:
1 month, 1 week ago
CC:
chromium-reviews, agrieve+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[Android] Presubmit check for banned Notification construction - This check searches for use of 'new Notification.Builder' and 'new NotificationCompat.Builder' in changed lines. - Those constructors should not be used, new notifications should use NotificationBuilderFactory.createChromeNotificationBuilder instead. - This check ensures no new notifications can be introduced without specifying a channel for use on Android O. BUG=702628 Review-Url: https://codereview.chromium.org/2894643002 Cr-Commit-Position: refs/heads/master@{#473205} Committed: https://chromium.googlesource.com/chromium/src/+/2c43ab991daa30205059b6d8a92a3857373061ff

Patch Set 1 #

Patch Set 2 : Simplifying regex as it only runs on single lines #

Total comments: 5

Patch Set 3 : fixup whitelist #

Patch Set 4 : remove blank lines for peter #

Messages

Total messages: 11 (5 generated)
awdf
I promised I would do this a while ago but never got round to it. ...
1 month, 1 week ago (2017-05-18 18:48:01 UTC) #2
nyquist (OOO until 6-10)
lgtm https://codereview.chromium.org/2894643002/diff/20001/chrome/android/java/src/PRESUBMIT.py File chrome/android/java/src/PRESUBMIT.py (right): https://codereview.chromium.org/2894643002/diff/20001/chrome/android/java/src/PRESUBMIT.py#newcode18 chrome/android/java/src/PRESUBMIT.py:18: r'new\sNotification(Compat)?\.Builder') I don't know if that's even OK, ...
1 month, 1 week ago (2017-05-18 20:32:37 UTC) #3
awdf
https://codereview.chromium.org/2894643002/diff/20001/chrome/android/java/src/PRESUBMIT.py File chrome/android/java/src/PRESUBMIT.py (right): https://codereview.chromium.org/2894643002/diff/20001/chrome/android/java/src/PRESUBMIT.py#newcode18 chrome/android/java/src/PRESUBMIT.py:18: r'new\sNotification(Compat)?\.Builder') On 2017/05/18 20:32:36, nyquist (nychthemeron ping) wrote: > ...
1 month, 1 week ago (2017-05-19 14:16:53 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2894643002/60001
1 month, 1 week ago (2017-05-19 14:42:39 UTC) #7
awdf
https://codereview.chromium.org/2894643002/diff/20001/chrome/android/java/src/PRESUBMIT.py File chrome/android/java/src/PRESUBMIT.py (right): https://codereview.chromium.org/2894643002/diff/20001/chrome/android/java/src/PRESUBMIT.py#newcode18 chrome/android/java/src/PRESUBMIT.py:18: r'new\sNotification(Compat)?\.Builder') On 2017/05/19 14:16:53, awdf wrote: > On 2017/05/18 ...
1 month, 1 week ago (2017-05-19 14:48:44 UTC) #8
commit-bot: I haz the power
1 month, 1 week ago (2017-05-19 15:55:17 UTC) #11
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/2c43ab991daa30205059b6d8a92a...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 23e94e589